Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 585407 - cyrus-sasl has broken provides
Summary: cyrus-sasl has broken provides
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cyrus-sasl
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Jan F. Chadima
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 21:34 UTC by Dennis Gilmore
Modified: 2010-04-30 05:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-30 05:45:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dennis Gilmore 2010-04-23 21:34:33 UTC
Description of problem:
trying to setup epel we hit an issue due to broken provides

xmlint on the primary.xml we get the following 

primary.xml:67419: parser error : attributes construct error
      <rpm:entry name="user(saslauth)" flags="EQ" epoch="0" ver=""Saslauthd"/>
                                                                  ^
primary.xml:67419: parser error : Couldn't find end of Start Tag entry line 67419
      <rpm:entry name="user(saslauth)" flags="EQ" epoch="0" ver=""Saslauthd"/>
                                                                  ^
primary.xml:67421: parser error : attributes construct error
      <rpm:entry name="group(saslauth)" flags="EQ" epoch="0" ver=""Saslauthd"/>
                                                                   ^
primary.xml:67421: parser error : Couldn't find end of Start Tag entry line 67421
      <rpm:entry name="group(saslauth)" flags="EQ" epoch="0" ver=""Saslauthd"/>



rpm -q --provides cyrus-sasl
config(cyrus-sasl) = 2.1.23-4.1.el6
group(saslauth) = "Saslauthd
user"  
user(saslauth) = "Saslauthd
cyrus-sasl = 2.1.23-4.1.el6
cyrus-sasl(x86-64) = 2.1.23-4.1.el6

the " and space in the user and group provides are broken
 
Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.23-4.1.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 RHEL Program Management 2010-04-23 23:02:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jan F. Chadima 2010-04-26 06:27:45 UTC
Please can you test it with the latest release of the cyrus-sasl, which is cyrus-sasl-2.1.23-8.el6?

Comment 4 Dennis Gilmore 2010-04-29 18:43:46 UTC
this is fixed with the newer build,  thanks.


Note You need to log in before you can comment on or make changes to this bug.